<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head><meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>TokenMgrError xref</title>
<link type="text/css" rel="stylesheet" href="../../../../../../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../../../../../../apidocs/org/eclipse/papyrus/designer/languages/java/reverse/javaparser/TokenMgrError.html">View Javadoc</a></div><pre>
<a class="jxr_linenumber" name="L1" href="#L1">1</a>   <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L2" href="#L2">2</a>   <em class="jxr_javadoccomment"> * All rights reserved. This program and the accompanying materials</em>
<a class="jxr_linenumber" name="L3" href="#L3">3</a>   <em class="jxr_javadoccomment"> * are made available under the terms of the Eclipse Public License v1.0</em>
<a class="jxr_linenumber" name="L4" href="#L4">4</a>   <em class="jxr_javadoccomment"> * which accompanies this distribution, and is available at</em>
<a class="jxr_linenumber" name="L5" href="#L5">5</a>   <em class="jxr_javadoccomment"> * <a href="http://www.eclipse.org/legal/epl-v10.htm" target="alexandria_uri">http://www.eclipse.org/legal/epl-v10.htm</a>l</em>
<a class="jxr_linenumber" name="L6" href="#L6">6</a>   <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L7" href="#L7">7</a>   <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L8" href="#L8">8</a>   <em class="jxr_javadoccomment">/********</em>
<a class="jxr_linenumber" name="L9" href="#L9">9</a>   <em class="jxr_javadoccomment">/* JavaCCOptions: */</em>
<a class="jxr_linenumber" name="L10" href="#L10">10</a>  <em class="jxr_comment">/*</em>
<a class="jxr_linenumber" name="L11" href="#L11">11</a>  <em class="jxr_comment"> *</em>
<a class="jxr_linenumber" name="L12" href="#L12">12</a>  <em class="jxr_comment"> * This file is part of Java 1.8 parser and Abstract Syntax Tree.</em>
<a class="jxr_linenumber" name="L13" href="#L13">13</a>  <em class="jxr_comment"> *</em>
<a class="jxr_linenumber" name="L14" href="#L14">14</a>  <em class="jxr_comment"> * Java 1.8 parser and Abstract Syntax Tree is free software: you can redistribute it and/or modify</em>
<a class="jxr_linenumber" name="L15" href="#L15">15</a>  <em class="jxr_comment"> * it under the terms of the GNU Lesser General Public License as published by</em>
<a class="jxr_linenumber" name="L16" href="#L16">16</a>  <em class="jxr_comment"> * the Free Software Foundation, either version 3 of the License, or</em>
<a class="jxr_linenumber" name="L17" href="#L17">17</a>  <em class="jxr_comment"> * (at your option) any later version.</em>
<a class="jxr_linenumber" name="L18" href="#L18">18</a>  <em class="jxr_comment"> *</em>
<a class="jxr_linenumber" name="L19" href="#L19">19</a>  <em class="jxr_comment"> * You should have received a copy of the GNU Lesser General Public License</em>
<a class="jxr_linenumber" name="L20" href="#L20">20</a>  <em class="jxr_comment"> * along with Java 1.8 parser and Abstract Syntax Tree.  If not, see &lt;<a href="http://www.gnu.org/licenses/&gt;" target="alexandria_uri">http://www.gnu.org/licenses/&gt;</a>.</em>
<a class="jxr_linenumber" name="L21" href="#L21">21</a>  <em class="jxr_comment"> */</em>
<a class="jxr_linenumber" name="L22" href="#L22">22</a>  <strong class="jxr_keyword">package</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser;
<a class="jxr_linenumber" name="L23" href="#L23">23</a>  
<a class="jxr_linenumber" name="L24" href="#L24">24</a>  <em class="jxr_javadoccomment">/** Token Manager Error. */</em>
<a class="jxr_linenumber" name="L25" href="#L25">25</a>  <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">class</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/TokenMgrError.html">TokenMgrError</a> <strong class="jxr_keyword">extends</strong> Error
<a class="jxr_linenumber" name="L26" href="#L26">26</a>  {
<a class="jxr_linenumber" name="L27" href="#L27">27</a>  
<a class="jxr_linenumber" name="L28" href="#L28">28</a>    <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L29" href="#L29">29</a>  <em class="jxr_javadoccomment">   * The version identifier for this Serializable class.</em>
<a class="jxr_linenumber" name="L30" href="#L30">30</a>  <em class="jxr_javadoccomment">   * Increment only if the &lt;i&gt;serialized&lt;/i&gt; form of the</em>
<a class="jxr_linenumber" name="L31" href="#L31">31</a>  <em class="jxr_javadoccomment">   * class changes.</em>
<a class="jxr_linenumber" name="L32" href="#L32">32</a>  <em class="jxr_javadoccomment">   */</em>
<a class="jxr_linenumber" name="L33" href="#L33">33</a>    <strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">static</strong> <strong class="jxr_keyword">final</strong> <strong class="jxr_keyword">long</strong> serialVersionUID = 1L;
<a class="jxr_linenumber" name="L34" href="#L34">34</a>  
<a class="jxr_linenumber" name="L35" href="#L35">35</a>    <em class="jxr_comment">/*</em>
<a class="jxr_linenumber" name="L36" href="#L36">36</a>  <em class="jxr_comment">   * Ordinals for various reasons why an Error of this type can be thrown.</em>
<a class="jxr_linenumber" name="L37" href="#L37">37</a>  <em class="jxr_comment">   */</em>
<a class="jxr_linenumber" name="L38" href="#L38">38</a>  
<a class="jxr_linenumber" name="L39" href="#L39">39</a>    <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L40" href="#L40">40</a>  <em class="jxr_javadoccomment">   * Lexical error occurred.</em>
<a class="jxr_linenumber" name="L41" href="#L41">41</a>  <em class="jxr_javadoccomment">   */</em>
<a class="jxr_linenumber" name="L42" href="#L42">42</a>    <strong class="jxr_keyword">static</strong> <strong class="jxr_keyword">final</strong> <strong class="jxr_keyword">int</strong> LEXICAL_ERROR = 0;
<a class="jxr_linenumber" name="L43" href="#L43">43</a>  
<a class="jxr_linenumber" name="L44" href="#L44">44</a>    <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L45" href="#L45">45</a>  <em class="jxr_javadoccomment">   * An attempt was made to create a second instance of a static token manager.</em>
<a class="jxr_linenumber" name="L46" href="#L46">46</a>  <em class="jxr_javadoccomment">   */</em>
<a class="jxr_linenumber" name="L47" href="#L47">47</a>    <strong class="jxr_keyword">static</strong> <strong class="jxr_keyword">final</strong> <strong class="jxr_keyword">int</strong> STATIC_LEXER_ERROR = 1;
<a class="jxr_linenumber" name="L48" href="#L48">48</a>  
<a class="jxr_linenumber" name="L49" href="#L49">49</a>    <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L50" href="#L50">50</a>  <em class="jxr_javadoccomment">   * Tried to change to an invalid lexical state.</em>
<a class="jxr_linenumber" name="L51" href="#L51">51</a>  <em class="jxr_javadoccomment">   */</em>
<a class="jxr_linenumber" name="L52" href="#L52">52</a>    <strong class="jxr_keyword">static</strong> <strong class="jxr_keyword">final</strong> <strong class="jxr_keyword">int</strong> INVALID_LEXICAL_STATE = 2;
<a class="jxr_linenumber" name="L53" href="#L53">53</a>  
<a class="jxr_linenumber" name="L54" href="#L54">54</a>    <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L55" href="#L55">55</a>  <em class="jxr_javadoccomment">   * Detected (and bailed out of) an infinite loop in the token manager.</em>
<a class="jxr_linenumber" name="L56" href="#L56">56</a>  <em class="jxr_javadoccomment">   */</em>
<a class="jxr_linenumber" name="L57" href="#L57">57</a>    <strong class="jxr_keyword">static</strong> <strong class="jxr_keyword">final</strong> <strong class="jxr_keyword">int</strong> LOOP_DETECTED = 3;
<a class="jxr_linenumber" name="L58" href="#L58">58</a>  
<a class="jxr_linenumber" name="L59" href="#L59">59</a>    <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L60" href="#L60">60</a>  <em class="jxr_javadoccomment">   * Indicates the reason why the exception is thrown. It will have</em>
<a class="jxr_linenumber" name="L61" href="#L61">61</a>  <em class="jxr_javadoccomment">   * one of the above 4 values.</em>
<a class="jxr_linenumber" name="L62" href="#L62">62</a>  <em class="jxr_javadoccomment">   */</em>
<a class="jxr_linenumber" name="L63" href="#L63">63</a>    <strong class="jxr_keyword">int</strong> errorCode;
<a class="jxr_linenumber" name="L64" href="#L64">64</a>  
<a class="jxr_linenumber" name="L65" href="#L65">65</a>    <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L66" href="#L66">66</a>  <em class="jxr_javadoccomment">   * Replaces unprintable characters by their escaped (or unicode escaped)</em>
<a class="jxr_linenumber" name="L67" href="#L67">67</a>  <em class="jxr_javadoccomment">   * equivalents in the given string</em>
<a class="jxr_linenumber" name="L68" href="#L68">68</a>  <em class="jxr_javadoccomment">   */</em>
<a class="jxr_linenumber" name="L69" href="#L69">69</a>    <strong class="jxr_keyword">protected</strong> <strong class="jxr_keyword">static</strong> <strong class="jxr_keyword">final</strong> String addEscapes(String str) {
<a class="jxr_linenumber" name="L70" href="#L70">70</a>      StringBuffer retval = <strong class="jxr_keyword">new</strong> StringBuffer();
<a class="jxr_linenumber" name="L71" href="#L71">71</a>      <strong class="jxr_keyword">char</strong> ch;
<a class="jxr_linenumber" name="L72" href="#L72">72</a>      <strong class="jxr_keyword">for</strong> (<strong class="jxr_keyword">int</strong> i = 0; i &lt; str.length(); i++) {
<a class="jxr_linenumber" name="L73" href="#L73">73</a>        <strong class="jxr_keyword">switch</strong> (str.charAt(i))
<a class="jxr_linenumber" name="L74" href="#L74">74</a>        {
<a class="jxr_linenumber" name="L75" href="#L75">75</a>          <strong class="jxr_keyword">case</strong> 0 :
<a class="jxr_linenumber" name="L76" href="#L76">76</a>            <strong class="jxr_keyword">continue</strong>;
<a class="jxr_linenumber" name="L77" href="#L77">77</a>          <strong class="jxr_keyword">case</strong> '\b':
<a class="jxr_linenumber" name="L78" href="#L78">78</a>            retval.append(<span class="jxr_string">"&#92;&#92;b"</span>);
<a class="jxr_linenumber" name="L79" href="#L79">79</a>            <strong class="jxr_keyword">continue</strong>;
<a class="jxr_linenumber" name="L80" href="#L80">80</a>          <strong class="jxr_keyword">case</strong> '\t':
<a class="jxr_linenumber" name="L81" href="#L81">81</a>            retval.append(<span class="jxr_string">"&#92;&#92;t"</span>);
<a class="jxr_linenumber" name="L82" href="#L82">82</a>            <strong class="jxr_keyword">continue</strong>;
<a class="jxr_linenumber" name="L83" href="#L83">83</a>          <strong class="jxr_keyword">case</strong> '\n':
<a class="jxr_linenumber" name="L84" href="#L84">84</a>            retval.append(<span class="jxr_string">"&#92;&#92;n"</span>);
<a class="jxr_linenumber" name="L85" href="#L85">85</a>            <strong class="jxr_keyword">continue</strong>;
<a class="jxr_linenumber" name="L86" href="#L86">86</a>          <strong class="jxr_keyword">case</strong> '\f':
<a class="jxr_linenumber" name="L87" href="#L87">87</a>            retval.append(<span class="jxr_string">"&#92;&#92;f"</span>);
<a class="jxr_linenumber" name="L88" href="#L88">88</a>            <strong class="jxr_keyword">continue</strong>;
<a class="jxr_linenumber" name="L89" href="#L89">89</a>          <strong class="jxr_keyword">case</strong> '\r':
<a class="jxr_linenumber" name="L90" href="#L90">90</a>            retval.append(<span class="jxr_string">"&#92;&#92;r"</span>);
<a class="jxr_linenumber" name="L91" href="#L91">91</a>            <strong class="jxr_keyword">continue</strong>;
<a class="jxr_linenumber" name="L92" href="#L92">92</a>          <strong class="jxr_keyword">case</strong> '\&quot;':
<a class="jxr_linenumber" name="L93" href="#L93">93</a>            retval.append(<span class="jxr_string">"&#92;&#92;\&quot;"</span>);
<a class="jxr_linenumber" name="L94" href="#L94">94</a>            <strong class="jxr_keyword">continue</strong>;
<a class="jxr_linenumber" name="L95" href="#L95">95</a>          <strong class="jxr_keyword">case</strong> '\'':
<a class="jxr_linenumber" name="L96" href="#L96">96</a>            retval.append(<span class="jxr_string">"&#92;&#92;\'"</span>);
<a class="jxr_linenumber" name="L97" href="#L97">97</a>            <strong class="jxr_keyword">continue</strong>;
<a class="jxr_linenumber" name="L98" href="#L98">98</a>          <strong class="jxr_keyword">case</strong> '&#92;&#92;':
<a class="jxr_linenumber" name="L99" href="#L99">99</a>            retval.append(<span class="jxr_string">"&#92;&#92;&#92;&#92;"</span>);
<a class="jxr_linenumber" name="L100" href="#L100">100</a>           <strong class="jxr_keyword">continue</strong>;
<a class="jxr_linenumber" name="L101" href="#L101">101</a>         <strong class="jxr_keyword">default</strong>:
<a class="jxr_linenumber" name="L102" href="#L102">102</a>           <strong class="jxr_keyword">if</strong> ((ch = str.charAt(i)) &lt; 0x20 || ch &gt; 0x7e) {
<a class="jxr_linenumber" name="L103" href="#L103">103</a>             String s = <span class="jxr_string">"0000"</span> + Integer.toString(ch, 16);
<a class="jxr_linenumber" name="L104" href="#L104">104</a>             retval.append(<span class="jxr_string">"&#92;&#92;u"</span> + s.substring(s.length() - 4, s.length()));
<a class="jxr_linenumber" name="L105" href="#L105">105</a>           } <strong class="jxr_keyword">else</strong> {
<a class="jxr_linenumber" name="L106" href="#L106">106</a>             retval.append(ch);
<a class="jxr_linenumber" name="L107" href="#L107">107</a>           }
<a class="jxr_linenumber" name="L108" href="#L108">108</a>           <strong class="jxr_keyword">continue</strong>;
<a class="jxr_linenumber" name="L109" href="#L109">109</a>       }
<a class="jxr_linenumber" name="L110" href="#L110">110</a>     }
<a class="jxr_linenumber" name="L111" href="#L111">111</a>     <strong class="jxr_keyword">return</strong> retval.toString();
<a class="jxr_linenumber" name="L112" href="#L112">112</a>   }
<a class="jxr_linenumber" name="L113" href="#L113">113</a> 
<a class="jxr_linenumber" name="L114" href="#L114">114</a>   <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L115" href="#L115">115</a> <em class="jxr_javadoccomment">   * Returns a detailed message for the Error when it is thrown by the</em>
<a class="jxr_linenumber" name="L116" href="#L116">116</a> <em class="jxr_javadoccomment">   * token manager to indicate a lexical error.</em>
<a class="jxr_linenumber" name="L117" href="#L117">117</a> <em class="jxr_javadoccomment">   * Parameters :</em>
<a class="jxr_linenumber" name="L118" href="#L118">118</a> <em class="jxr_javadoccomment">   *    EOFSeen     : indicates if EOF caused the lexical error</em>
<a class="jxr_linenumber" name="L119" href="#L119">119</a> <em class="jxr_javadoccomment">   *    curLexState : lexical state in which this error occurred</em>
<a class="jxr_linenumber" name="L120" href="#L120">120</a> <em class="jxr_javadoccomment">   *    errorLine   : line number when the error occurred</em>
<a class="jxr_linenumber" name="L121" href="#L121">121</a> <em class="jxr_javadoccomment">   *    errorColumn : column number when the error occurred</em>
<a class="jxr_linenumber" name="L122" href="#L122">122</a> <em class="jxr_javadoccomment">   *    errorAfter  : prefix that was seen before this error occurred</em>
<a class="jxr_linenumber" name="L123" href="#L123">123</a> <em class="jxr_javadoccomment">   *    curchar     : the offending character</em>
<a class="jxr_linenumber" name="L124" href="#L124">124</a> <em class="jxr_javadoccomment">   * Note: You can customize the lexical error message by modifying this method.</em>
<a class="jxr_linenumber" name="L125" href="#L125">125</a> <em class="jxr_javadoccomment">   */</em>
<a class="jxr_linenumber" name="L126" href="#L126">126</a>   <strong class="jxr_keyword">protected</strong> <strong class="jxr_keyword">static</strong> String LexicalError(<strong class="jxr_keyword">boolean</strong> EOFSeen, <strong class="jxr_keyword">int</strong> lexState, <strong class="jxr_keyword">int</strong> errorLine, <strong class="jxr_keyword">int</strong> errorColumn, String errorAfter, <strong class="jxr_keyword">char</strong> curChar) {
<a class="jxr_linenumber" name="L127" href="#L127">127</a>     <strong class="jxr_keyword">return</strong>(<span class="jxr_string">"Lexical error at line "</span> +
<a class="jxr_linenumber" name="L128" href="#L128">128</a>           errorLine + <span class="jxr_string">", column "</span> +
<a class="jxr_linenumber" name="L129" href="#L129">129</a>           errorColumn + <span class="jxr_string">".  Encountered: "</span> +
<a class="jxr_linenumber" name="L130" href="#L130">130</a>           (EOFSeen ? <span class="jxr_string">"&lt;EOF&gt; "</span> : (<span class="jxr_string">"\&quot;"</span> + addEscapes(String.valueOf(curChar)) + <span class="jxr_string">"\&quot;"</span>) + <span class="jxr_string">" ("</span> + (<strong class="jxr_keyword">int</strong>)curChar + <span class="jxr_string">"), "</span>) +
<a class="jxr_linenumber" name="L131" href="#L131">131</a>           <span class="jxr_string">"after : \&quot;"</span> + addEscapes(errorAfter) + <span class="jxr_string">"\&quot;"</span>);
<a class="jxr_linenumber" name="L132" href="#L132">132</a>   }
<a class="jxr_linenumber" name="L133" href="#L133">133</a> 
<a class="jxr_linenumber" name="L134" href="#L134">134</a>   <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L135" href="#L135">135</a> <em class="jxr_javadoccomment">   * You can also modify the body of this method to customize your error messages.</em>
<a class="jxr_linenumber" name="L136" href="#L136">136</a> <em class="jxr_javadoccomment">   * For example, cases like LOOP_DETECTED and INVALID_LEXICAL_STATE are not</em>
<a class="jxr_linenumber" name="L137" href="#L137">137</a> <em class="jxr_javadoccomment">   * of end-users concern, so you can return something like :</em>
<a class="jxr_linenumber" name="L138" href="#L138">138</a> <em class="jxr_javadoccomment">   *</em>
<a class="jxr_linenumber" name="L139" href="#L139">139</a> <em class="jxr_javadoccomment">   *     "Internal Error : Please file a bug report .... "</em>
<a class="jxr_linenumber" name="L140" href="#L140">140</a> <em class="jxr_javadoccomment">   *</em>
<a class="jxr_linenumber" name="L141" href="#L141">141</a> <em class="jxr_javadoccomment">   * from this method for such cases in the release version of your parser.</em>
<a class="jxr_linenumber" name="L142" href="#L142">142</a> <em class="jxr_javadoccomment">   */</em>
<a class="jxr_linenumber" name="L143" href="#L143">143</a>   <strong class="jxr_keyword">public</strong> String getMessage() {
<a class="jxr_linenumber" name="L144" href="#L144">144</a>     <strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">super</strong>.getMessage();
<a class="jxr_linenumber" name="L145" href="#L145">145</a>   }
<a class="jxr_linenumber" name="L146" href="#L146">146</a> 
<a class="jxr_linenumber" name="L147" href="#L147">147</a>   <em class="jxr_comment">/*</em>
<a class="jxr_linenumber" name="L148" href="#L148">148</a> <em class="jxr_comment">   * Constructors of various flavors follow.</em>
<a class="jxr_linenumber" name="L149" href="#L149">149</a> <em class="jxr_comment">   */</em>
<a class="jxr_linenumber" name="L150" href="#L150">150</a> 
<a class="jxr_linenumber" name="L151" href="#L151">151</a>   <em class="jxr_javadoccomment">/** No arg constructor. */</em>
<a class="jxr_linenumber" name="L152" href="#L152">152</a>   <strong class="jxr_keyword">public</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/TokenMgrError.html">TokenMgrError</a>() {
<a class="jxr_linenumber" name="L153" href="#L153">153</a>   }
<a class="jxr_linenumber" name="L154" href="#L154">154</a> 
<a class="jxr_linenumber" name="L155" href="#L155">155</a>   <em class="jxr_javadoccomment">/** Constructor with message and reason. */</em>
<a class="jxr_linenumber" name="L156" href="#L156">156</a>   <strong class="jxr_keyword">public</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/TokenMgrError.html">TokenMgrError</a>(String message, <strong class="jxr_keyword">int</strong> reason) {
<a class="jxr_linenumber" name="L157" href="#L157">157</a>     <strong class="jxr_keyword">super</strong>(message);
<a class="jxr_linenumber" name="L158" href="#L158">158</a>     errorCode = reason;
<a class="jxr_linenumber" name="L159" href="#L159">159</a>   }
<a class="jxr_linenumber" name="L160" href="#L160">160</a> 
<a class="jxr_linenumber" name="L161" href="#L161">161</a>   <em class="jxr_javadoccomment">/** Full Constructor. */</em>
<a class="jxr_linenumber" name="L162" href="#L162">162</a>   <strong class="jxr_keyword">public</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/TokenMgrError.html">TokenMgrError</a>(<strong class="jxr_keyword">boolean</strong> EOFSeen, <strong class="jxr_keyword">int</strong> lexState, <strong class="jxr_keyword">int</strong> errorLine, <strong class="jxr_keyword">int</strong> errorColumn, String errorAfter, <strong class="jxr_keyword">char</strong> curChar, <strong class="jxr_keyword">int</strong> reason) {
<a class="jxr_linenumber" name="L163" href="#L163">163</a>     <strong class="jxr_keyword">this</strong>(LexicalError(EOFSeen, lexState, errorLine, errorColumn, errorAfter, curChar), reason);
<a class="jxr_linenumber" name="L164" href="#L164">164</a>   }
<a class="jxr_linenumber" name="L165" href="#L165">165</a> }
<a class="jxr_linenumber" name="L166" href="#L166">166</a> <em class="jxr_comment">/* JavaCC - OriginalChecksum=3ead22bc76e71edca90019071c3e37e5 (do not edit this line) */</em>
</pre>
<hr/>
<div id="footer">Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</div>
</body>
</html>
